### Method

# Cally Actor add_action

#### Declaration [src]

    guint
    cally_actor_add_action (
      CallyActor* cally_actor,
      const gchar* action_name,
      const gchar* action_description,
      const gchar* action_keybinding,
      CallyActionFunc action_func
    )

#### Description [src]

Adds a new action to be accessed with the `AtkAction` interface.

This method is not directly available to language bindings.

The implementation of this method is provided by `cally_actor_add_action_full()` in language bindings.

#### Parameters

`action_name`

  Type: `const gchar*`

  The action name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_description`

  Type: `const gchar*`

  The action description.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_keybinding`

  Type: `const gchar*`

  The action keybinding.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`action_func`

  Type: `CallyActionFunc`

  The callback of the action, to be executed with do_action.

#### Return value

Type: `guint`

Added action id, or -1 if failure.